Bug 1125146 - [Rubygem-Staypuft]: Delete deployment fails: "validation failed.."
Summary: [Rubygem-Staypuft]: Delete deployment fails: "validation failed.."
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: foreman
Version: 5.0 (RHEL 7)
Hardware: x86_64
OS: Linux
high
unspecified
Target Milestone: ---
: Installer
Assignee: Mike Burns
QA Contact: Ami Jeain
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-31 07:52 UTC by Tzach Shefi
Modified: 2015-05-06 13:33 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-05-06 13:33:47 UTC


Attachments (Terms of Use)
log (1.99 MB, text/x-log)
2014-08-15 09:03 UTC, Dafna Ron
no flags Details

Description Tzach Shefi 2014-07-31 07:52:55 UTC
Description of problem: My deployment failed stuck on 53%, Neutron vm at 60% noticed other bugs about it, any way wanted to delete deployment respin_vms.sh try again. 

On deployment page, clicking "Delete" on my present deployment gave: 

--------
Oops, we're sorry but something went wrong

Error

Validation failed: IP address Does not match selected Subnet
 

--------
Version-Release number of selected component (if applicable):
stuypuft vm RHEL6, 
Other vm's rhel7
rhel-osp-installer-0.1.6-4.el6ost.noarch

How reproducible:
Unsure

Steps to Reproduce:
1. Try to delete a stuck deployment
2.
3.

Actual results:

Error message above, deployment not deleted.

Expected results:
Even if deployment is stuck, I should be able to delete it without errors.

Comment 2 Dafna Ron 2014-08-15 09:03:10 UTC
Created attachment 927035 [details]
log

This has happened to me as well. 
adding production.log and I think a workaround would be good to be added for this issue.

Comment 3 Arthur Berezin 2014-10-02 08:34:58 UTC
can this make it to R5A2?


Note You need to log in before you can comment on or make changes to this bug.